<template>
  <header>
    <nav>
      <figure>
        <img src="@/shared/assets/netflix.svg" alt="">
      </figure>
      <ul>
        <li class="selected">Home</li>
        <li>Series</li>
        <li>Movies</li>
        <li>Most recent</li>
        <li>My list</li>
      </ul>
    </nav>
    <input 
      type="text"
      placeholder="Buscar serie"
      v-model="search"
      @keyup="emitEvent"
    >
  </header>
</template>

<script>
export default {
  name: 'Header',
  data() {
    return{
      search: ''
    }
  },
  methods: {
    emitEvent() {
      this.$emit('keypress', this.search)
    }
  }
}
</script>

<style lang="sass" scoped>
header
  display: flex
  height: 100px
  margin: 0 auto
  justify-content: space-between
  nav
    display: flex
    margin-left: 3rem
    height: 60px
    figure,
    img
      height: 60px
      width: auto
    ul
      display: flex
      list-style: none
      li
        padding: 4px 0
        margin: 0 1rem 
        color: #b4b4b4
      .selected
        font-weight: bold
        border-bottom: 1px solid red
  input
    padding: 0 1rem
    height: 43px
    margin-top: 4px
    margin-right: 3rem
    background: none
    border: 1px solid #D3D3D3
    border-radius: 6px
    caret-color: white
    color: white
    font-size: 1rem
</style>